# CadburyBot :man_in_tuxedo:

## Under development 🚧

## Usage

```bash
cb env get # lists all the environments
cb env get <env-name> # lists the asked envrironment
cb env set <environment-name> # Creates or updates environment by asking questions to you.
cb env delete <environment-name>
cb env default <environment-name> # sets the default environment

cb request get # lists all the request for the default environment
cb request get <request-name> # lists the asked request
cb request set <request-name> # add/update request to the default environment by answering the questions like request endpoint, http method etc.,
cb request delete <request-name>

cb send <request-name> #uses default environment
or
cb send <request-name> --env <env-name>
```

> Pro tip: CadburyBot saves all these configurations as JSON file under `~/cadburybot` directory. Instead of using `request` or `env` command, You can also manually update them.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'cadburybot'
```

And then execute:

    $ bundle install

Or install it yourself as:

    $ gem install cadburybot

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the cadburybot project's codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/sharran-murali/cadburybot/blob/master/CODE_OF_CONDUCT.md).
